Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.poly2cheb

polynomial.chebyshev.poly2cheb(pol)

  Convert a polynomial to a Chebyshev series.

  Convert an array representing the coefficients of a polynomial (relative to the “standard” basis) ordered from lowest degree to highest, to an array of the coefficients of the equivalent Chebyshev series, ordered from lowest to highest degree.

  Parameters:
    pol array_like

      1-D array containing the polynomial coefficients

  Returns:
    c ndarray

      1-D array containing the coefficients of the equivalent Chebyshev series.

  See also

  `cheb2poly`

  Notes

  The easy way to do conversions between polynomial basis sets is to use the convert method of a class instance.

  Examples

      >>> from numpy import polynomial as P
      >>> p = P.Polynomial(range(4))
      >>> p
      Polynomial([0., 1., 2., 3.], domain=[-1.,  1.], window=[-1.,  1.], symbol='x')
      >>> c = p.convert(kind=P.Chebyshev)
      >>> c
      Chebyshev([1.  , 3.25, 1.  , 0.75], domain=[-1.,  1.], window=[-1., ...
      >>> P.chebyshev.poly2cheb(range(4))
      array([1.  , 3.25, 1.  , 0.75])